LaTeX API
Apiaccount

Who am I

GET
/v1/me

Returns the identity behind the credential. Useful to validate a token.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A personal API token (lta_...) from the dashboard or latex-api auth login. Also accepted in the X-API-Key header.

Response Body

Identity

application/json
  1. response
user*|null
principal*
Example Request
curl -X GET 'https://latex-api.crafter.run/v1/me'
Example Response
{  "user": {    "id": "string",    "email": "string"  },  "principal": {    "name": "string",    "kind": "user",    "via": "token",    "tokenId": "string"  }}